import Chart from "../core.js";
import { name, schema } from "./entities/test-intersection.js";
/**
 * For testing
 */ export default class TestIntersectionChart extends Chart {
    constructor(){
        super(name, schema);
    }
    async tickMajor() {
        return {};
    }
    async tickMinor() {
        return {};
    }
    async addA(key) {
        await this.commit({
            a: [
                key
            ]
        });
    }
    async addB(key) {
        await this.commit({
            b: [
                key
            ]
        });
    }
}
